Subject: Re:MPLS over native ATM and some other ideas

From: shen jing <[email-masked]>
Date: Mon, 05 Mar 2001 21:55:40 +0800

Thank you much for your help.
But, would you please give a little more help? (execuse
for my tedious explanation on my work below )

As I know,  MPOA or LANE can be used to transmit IP
traffic over ATM network.  But, I think they all derives much
overhead,  MPLS is a protocol which can be used to
give IP network the ability to simulate those happened in circuit
switch network, esp. QoS.

I do want to do some research on QoS enabled multimedia
(graphics and video)  transmission over a pure IP network,
but only linux boxes, a Cabletron ATM switch and serval
Ethernet hub/switch are available.

As I think MPLS is a very good technique which will possibly be one
of key technique for future network, I planned a MPLS enabled experiment
system for QoS enabled multimedia transmission(shown as follows )

Linux Server ----- Linux Router ---------Linux Router -----Linux Client
                           ^
^                                    ^
                            |
|                                     |
                      Ethernet
ATM                         Ethernet

I want to use RSVP as end-to-end QoS signaling procotol, while  MPLS
enabled network provides transmission service to multimedia streams (
including Linux Server,Linux Client and linux router).
Point-to-point, multicast and multipoint-to-point QoS service to video
stream is the target to be realized.

I think this model covers the current state of Internet (ATM
backbone is now a widely used link layer technique, while IP dominate the
network
layer).  To enable QoS and TE support,  upgrading ATM switch software to enable

MPLS control plane  is not always the best solution to ISPs( I'm not sure).
I think there should be two other possible ways to deal with it.

The first is  a overlayed model, such as IP/MPLS/ATM , by mapping LDP/RSVP to
PNNI and encapsulating MPLS packet by AAL5 we can easily upgrade nowaday's
system.
The second method  is  RSVP-- DiffServ--ATM (or MPLS), in which user
application
signal edge router by using RSVP, and RSVP message is tunnelled through
DiffServ network
to its destination. In core network DiffServ is mapped to  native ATM or MPLS
service.
I planned to try the first way when I posted the first message. But now I'm not
sure
wether I'm in a right way , am I in the wrong direction?

Would you please do me a little more favor on giving some advice ?

Thank you very much and long for your help.

Jing Shen
Email: [email-masked]

> What for?
> What you are trying to do seems so unnecessary? If you have ATM, IP/ATM will
> do. But the whole purpose of implementing MPLS (well, part of) is to avoid
> ATM. In your case however, MPLS is not used for much purpose.
>
> Wenjing
>
> -----Original Message-----
> From: shen jing [mailto:[email-masked]]
> Sent: Tuesday, February 27, 2001 7:18 PM
> To: Guang Xiaoming; [email-masked]
> Subject: Question on MPLS over native ATM
>
> Hi :
>
> I met some problem with my work, would you please give me some hints?
>
> I'm thinking about connect IP host through ATM by using MPLS, which
> provide both fast transmission and QoS support to multimedia streams.
>
> I can not modify the control plane software installed in
> ATM switch, so I have to use MPLS on end host while native ATM
> in that switch. Is there any possiblity to integrate MPLS and ATM
> in a layered model ?
>
>      IP --- MPLS -- ATM---------ATM --- MPLS--IP
>                                 ^
> ^                     ^
>                                  |
> |                      |
>                         MPLS over            Native           MPLS over
>                                 ATM              ATM                ATM
>
> Is there any draft on this topic ? or any person has implement
> a solution?
>
> Thanks a lot.
>
> Shen